<?php

namespace App\Modules\Template\TourTemplate\Domain;

use App\Modules\Shared\Domain\Storage\Criteria\StorageCriteria;

interface TourTemplateRepository
{
    public function insert(TourTemplate $model): IdTourTemplate;
    public function update(TourTemplate $model);
    public function find(StorageCriteria $action): TourTemplate;
    public function search(StorageCriteria $action): array;
}
